In Eclipse from your project:

  1. Right-click on your project
  2. Click Properties
  3. Java build path: Libraries; Remove the "JRE System Library[J2SE 1.4]"
  4. Click Add Library -> JRE System Library
  5. Select the new "Execution Environment" or Workspace default JRE

https://stackoverflow.com/questions/3138384/warning-build-path-specifies-execution-environment-j2se-1-4

 

Warning - Build path specifies execution environment J2SE-1.4

I create a Maven project in Eclipse Helios. It works fine for a day, but then this warning shows up: Build path specifies execution environment J2SE-1.4. There are no JREs installed in the works...

stackoverflow.com

 

이클립스에 기존 프로젝트를 import 한 후, 아래와 같은 warning 이 발생하는 경우

Build path specifies execution environment JavaSE-1.6. warning. There are no JREs installed in the workspace that are strictly compatible with this environment.

아래와 같이 조치하시면 warning 이 제거됩니다.


* 프로젝트 Properties 메뉴를 클릭한다.

* Java Build Path 를 클릭한 후, Libraries tab 을 클릭한다.

* "JRE System Library" 를 제거한다.

* "Add Library..." 버튼을 클릭한 후, "JRE System Library" 를 선택하고 "Next" 버튼을 클릭한다.

 

 

Posted by 홍반장水 홍반장水

댓글을 달아 주세요